## pidgin 2.10.1

=== debian/changelog ===
pidgin (2.10.1-1) unstable; urgency=medium

  * Imported Upstream version 2.10.1
    - Fixes remotely-triggered crash in XMPP/Jingle
    - Fixes remotely-triggered crash in AIM/ICQ (CVE-2011-4601)
    - Fixes remotely-triggered crash in SILC (CVE-2011-3594)
  * add NEWS to installed docs
  * nm09-more.patch: change deprecated Network Manager signal name
    (Closes: #642117)

 -- Ari Pollak <ari@debian.org>  Fri, 09 Dec 2011 12:03:20 -0500

pidgin (2.10.0-2) unstable; urgency=low

  * Add Conflicts: network-manager (<< 0.9.0) so there shouldn't be any
    version mismatch issues
    (Closes: #642199)

 -- Ari Pollak <ari@debian.org>  Wed, 28 Sep 2011 00:35:09 -0400
