## pidgin 2.10.3

=== debian/changelog ===
pidgin (1:2.10.3-0ubuntu1.1) precise-security; urgency=low

  * SECURITY UPDATE: Remote denial of service via specially crafted XMPP file
    transfer requests (LP: #996691)
    - debian/patches/CVE-2012-2214.patch: Properly tear down SOCKS5
      connection attempts. Based on upstream patch.
    - CVE-2012-2214
  * SECURITY UPDATE: Remote denial of service via specially crafted MSN
    messages (LP: #996691)
    - debian/patches/CVE-2012-2318.patch: Convert incoming messages to UTF-8,
      then validate the messages. Based on upstream patch.
    - CVE-2012-2318
  * SECURITY UPDATE: Remote denial of service via specially crafted MXit
    messages (LP: #1022012)
    - debian/patches/CVE-2012-3374.patch: Use dynamically allocated memory
      instead of a fixed size buffer. Based on upstream patch.
    - CVE-2012-3374

 -- Tyler Hicks <tyhicks@canonical.com>  Sun, 08 Jul 2012 18:14:21 -0500

pidgin (1:2.10.3-0ubuntu1) precise; urgency=low

  * update to new stable release, fixes (LP: #964210)

 -- Alexander Fougner <fougner89@gmail.com>  Fri, 06 Apr 2012 10:03:13 +0200

pidgin (1:2.10.2-1ubuntu2) precise; urgency=low

  * debian/patches/70_farstream_rename.patch
    - updated patch from the upstream bug report
      http://developer.pidgin.im/ticket/14936

 -- Ken VanDine <ken.vandine@canonical.com>  Wed, 04 Apr 2012 17:02:58 -0400

pidgin (1:2.10.2-1ubuntu1) precise; urgency=low

  * New upstream version based on the Debian update

 -- Sebastien Bacher <seb128@ubuntu.com>  Thu, 05 Jan 2012 15:46:36 +0100

pidgin (1:2.10.1-1ubuntu2) precise; urgency=low

  * debian/control
    - build depend on farstream instead of farsight, it was renamed upstream
  * debian/patches/70_farstream_rename.patch
    - updated for the transition from farsight to farstream

 -- Ken VanDine <ken.vandine@canonical.com>  Mon, 05 Mar 2012 15:13:12 -0500

pidgin (1:2.10.1-1ubuntu1) precise; urgency=low

  * New upstream version based on the Debian update

 -- Sebastien Bacher <seb128@ubuntu.com>  Thu, 05 Jan 2012 15:46:36 +0100

pidgin (1:2.10.0-0ubuntu3) precise; urgency=low

  * Rebuild for Perl 5.14 (LP: #890845).

 -- Colin Watson <cjwatson@ubuntu.com>  Tue, 15 Nov 2011 21:05:59 +0000
