=== debian/control ===
--- 
+++ 
@@ -1,8 +1,11 @@
 Source: pidgin
 Section: net
 Priority: optional
-Maintainer: Ari Pollak <ari@debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Ari Pollak <ari@debian.org>
 Build-Depends: cdbs (>= 0.4.53), debhelper (>= 7), intltool, gconf2,
+ liblaunchpad-integration-dev,
+ libtool, dh-autoreconf,
  hardening-wrapper,
  libgtk2.0-dev (>= 2.10.0), libxss-dev, libmeanwhile-dev,
  libnss3-dev (>= 3.11.7), tcl-dev, tk-dev, libgstreamer0.10-dev,
@@ -11,18 +14,18 @@
  libdbus-glib-1-dev, dbus, python (>= 2.4), libavahi-client-dev,
  libavahi-glib-dev, libxml-parser-perl, libncursesw5-dev, libsasl2-dev,
  libgadu-dev (>= 1:1.11.0-2),
- xsltproc, doxygen, libgstfarsight0.10-dev (>= 0.0.9),
+ xsltproc, doxygen, libfarstream-0.1-dev (>= 0.1.1),
  libgstreamer-plugins-base0.10-dev,
  network-manager-dev (>= 0.9.0) [linux-any],
  libsqlite3-dev (>= 3.3), libidn11-dev, ca-certificates
-Standards-Version: 3.8.3
+Standards-Version: 3.9.3
 Vcs-Git: git://git.debian.org/git/collab-maint/pidgin.git
 Vcs-Browser: http://git.debian.org/?p=collab-maint/pidgin.git
 Homepage: http://www.pidgin.im
 
 Package: libpurple0
 Architecture: any
-Depends: pidgin-data (>= ${source:Upstream-Version}), pidgin-data (<< ${source:Upstream-Version}-z), ${shlibs:Depends}, ${misc:Depends}, ${perl:Depends}, libsasl2-modules
+Depends: ${shlibs:Depends}, ${misc:Depends}, ${perl:Depends}, libsasl2-modules
 Recommends: ca-certificates, libpurple-bin
 Suggests: ${shlibs:Suggests}
 Conflicts: network-manager (<< 0.9.0)
@@ -40,7 +43,7 @@
 Package: pidgin
 Architecture: any
 Depends: pidgin-data (>= ${source:Upstream-Version}), pidgin-data (<< ${source:Upstream-Version}-z), ${shlibs:Depends}, ${misc:Depends}, ${perl:Depends}
-Recommends: gstreamer0.10-plugins-base, gstreamer0.10-plugins-good
+Recommends: gstreamer0.10-plugins-base, gstreamer0.10-plugins-good, pidgin-libnotify
 Suggests: gnome-panel (>= 2.1) | kdebase-workspace-bin | docker, evolution-data-server (>= 1.10.0), ${shlibs:Suggests}
 Description: graphical multi-protocol instant messaging client for X
  Pidgin is a graphical, modular instant messaging client capable of using
@@ -124,7 +127,7 @@
 Package: libpurple-bin
 Section: net
 Architecture: all
-Depends: ${shlibs:Depends}, ${misc:Depends}, libpurple0, python, python-dbus
+Depends: ${shlibs:Depends}, ${misc:Depends}, python, python-dbus
 Description: multi-protocol instant messaging library - extra utilities
  This package contains the utilities not included in the main libpurple0
  package. Currently included are: purple-remote, purple-send,
