## pidgin 2.10.3-0ubuntu1.3+6.0trisquel2

=== debian/changelog ===
pidgin (1:2.10.3-0ubuntu1.3+6.0trisquel2) toutatis; urgency=low

  * Compiled for Trisquel

 -- Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>  Fri, 01 Mar 2013 18:41:02 +0000

pidgin (1:2.10.3-0ubuntu1.3) precise-security; urgency=low

  * SECURITY UPDATE: file overwrite via MXit crafted pathname
    - debian/patches/CVE-2013-0271.patch: properly escape filenames in
      libpurple/protocols/mxit/formcmds.c,
      libpurple/protocols/mxit/splashscreen.c.
    - CVE-2013-0271
  * SECURITY UPDATE: arbitrary code execution via long HTTP header in MXit
    - debian/patches/CVE-2013-0272.patch: properly check lengths in
      libpurple/protocols/mxit/http.c.
    - CVE-2013-0272
  * SECURITY UPDATE: denial of service via long user ID in Sametime
    - debian/patches/CVE-2013-0273.patch: use g_strlcpy in
      libpurple/protocols/sametime/sametime.c.
    - CVE-2013-0273
  * SECURITY UPDATE: denial of service via long UPnP responses
    - debian/patches/CVE-2013-0274.patch: use g_strlcpy in libpurple/upnp.c.
    - CVE-2013-0274

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Thu, 21 Feb 2013 12:53:30 -0500

pidgin (1:2.10.3-0ubuntu1.2) precise-proposed; urgency=low

  * debian/patches/pounce-webview.patch (LP: #1026442) 
    -  Buddy pounce - send message window too short 

 -- Ritesh Khadgaray <ritesh@canonical.com>  Wed, 09 Jan 2013 17:50:06 +0530
