## pidgin 2.10.4%2bnix-2

=== debian/changelog ===
pidgin (2.10.4+nix-2) unstable; urgency=low

  * Changed maintainer and bugtracker fields in debian/control.

 -- Grzegorz Gidel <grg.gdl@gmail.com>  Sun, 13 May 2012 13:24:59 +0200

pidgin (2.10.4+nix-1) unstable; urgency=low

  * New upstream release

 -- Grzegorz Gidel <grg.gdl@gmail.com>  Wed, 09 May 2012 16:47:01 +0200

pidgin (2.10.3+nix-1) unstable; urgency=low

  * New upstream release

 -- Grzegorz Gidel <grg.gdl@gmail.com>  Tue, 01 May 2012 21:41:59 +0200

pidgin (2.10.2+nix-1) unstable; urgency=low

  * Caught up with upstream

 -- Grzegorz Gidel <grg.gdl@gmail.com>  Thu, 29 Mar 2012 22:51:53 +0200
