## pidgin 2.10.4%2bnix-3

=== debian/changelog ===
pidgin (2.10.4+nix-3) unstable; urgency=low

  * A sane way of collapsing and expanding buddy groups

 -- Grzegorz Gidel <grg.gdl@gmail.com>  Thu, 21 Jun 2012 22:20:04 +0200
