## pidgin 2.10.6

=== debian/changelog ===
pidgin (1:2.10.6-0ubuntu2) quantal; urgency=low

  * debian/control: fixed a typo for tcl and tk (LP: #1022935)

 -- John Kim <johnkim.ubuntu@gmail.com>  Tue, 11 Sep 2012 18:51:33 -0700

pidgin (1:2.10.6-0ubuntu1) quantal-proposed; urgency=low

  * New upstream release

 -- Robert Ancell <robert.ancell@canonical.com>  Mon, 09 Jul 2012 09:47:15 +1200

pidgin (1:2.10.5-0ubuntu1) quantal-proposed; urgency=low

  * New upstream release
  * debian/libpurple0.symbols:
    - Updated
    - Remove debian revisions from symbols versions

 -- Robert Ancell <robert.ancell@canonical.com>  Fri, 06 Jul 2012 10:59:45 +1200

pidgin (1:2.10.4-0ubuntu1) quantal; urgency=low

  * New upstream release
  * debian/patches/irc_disable_periodic_who.patch:
  * debian/patches/70_farstream_rename.patch:
    - Applied upstream

 -- Robert Ancell <robert.ancell@canonical.com>  Mon, 28 May 2012 17:21:44 +1200

pidgin (1:2.10.3-0ubuntu2) quantal; urgency=low

  * debian/control:
    - Drop dependency on liblaunchpad-integration-dev
  * debian/patches/02_lpi.patch:
    - Dropped, we no longer do Launchpad integration

 -- Robert Ancell <robert.ancell@canonical.com>  Tue, 15 May 2012 10:12:45 +1200
