=== debian/control ===
--- 
+++ 
@@ -1,10 +1,9 @@
 Source: pidgin
 Section: net
 Priority: optional
-Maintainer: Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
 XSBC-Original-Maintainer: Ari Pollak <ari@debian.org>
 Build-Depends: cdbs (>= 0.4.53), debhelper (>= 7), intltool, gconf2,
- liblaunchpad-integration-dev,
  libtool, dh-autoreconf,
  hardening-wrapper,
  libgtk2.0-dev (>= 2.10.0), libxss-dev, libmeanwhile-dev,
@@ -37,7 +36,7 @@
  Bonjour, Groupwise, Sametime, SIMPLE, MySpaceIM, and MXit. 
  .
  Some extra packages are suggested to use increased functionality:
-  * tcl8.4, tk8.4:
+  * tcl8.5, tk8.5:
     - Support for writing plugins with Tcl/Tk
 
 Package: pidgin
