## pidgin 2.10.6%2bnix-1

=== debian/changelog ===
pidgin (2.10.6+nix-1) unstable; urgency=low

  * New upstream release

 -- Grzegorz Gidel <grg.gdl@gmail.com>  Sat, 07 Jul 2012 19:04:31 +0200

pidgin (2.10.5+nix-1) unstable; urgency=low

  * New upstream release

 -- Grzegorz Gidel <grg.gdl@gmail.com>  Thu, 05 Jul 2012 18:35:21 +0200
