## pidgin 2.10.7

=== debian/changelog ===
pidgin (1:2.10.7-0ubuntu4.1) raring-proposed; urgency=low

  * Add hg-remove-SIGCHLD-handler.patch: Fix hanging on startup.
    Backport of upstream commit from 3.0 (LP: #1108056)

 -- Robert Hooker <sarvatt@ubuntu.com>  Sat, 20 Apr 2013 15:40:16 -0400

pidgin (1:2.10.7-0ubuntu4) raring; urgency=low

  * Specified multiarch Tcl location, fixing FTBFS.

 -- Daniel T Chen <crimsun@ubuntu.com>  Tue, 02 Apr 2013 17:31:12 -0400

pidgin (1:2.10.7-0ubuntu3) raring; urgency=low

  * debian/patches/hg_no_cap_segfault.patch:
    - don't segfault when checking capabilities of contacts (lp: #1128768)

 -- Sebastien Bacher <seb128@ubuntu.com>  Thu, 28 Feb 2013 11:48:43 +0100

pidgin (1:2.10.7-0ubuntu2) raring; urgency=low

  * debian/patches/git_pidgin-fix-irc.patch:
    - upstream patch for being able to use IRC with pidgin for those kind
      of users… (LP: #1128273)

 -- Didier Roche <didrocks@ubuntu.com>  Thu, 21 Feb 2013 11:31:08 +0000

pidgin (1:2.10.7-0ubuntu1) raring; urgency=low

  * New upstream version, includes fixes for those security issues:
    CVE-2013-0271 CVE-2013-0272 CVE-2013-0273 CVE-2013-0274
  * debian/patches/libnssckbi_path.patch:
    - dropped, the code has been replaced in the new version

 -- Sebastien Bacher <seb128@ubuntu.com>  Wed, 13 Feb 2013 18:49:58 +0100

pidgin (1:2.10.6-0ubuntu4) raring; urgency=low

  * debian/patches/pounce-webview.patch (LP: #1026442)
    - Buddy pounce - send message window too short

 -- Ritesh Khadgaray <ritesh@canonical.com>  Wed, 09 Jan 2013 19:37:14 +0530

pidgin (1:2.10.6-0ubuntu3) raring; urgency=low

  * debian/patches/xmessagingmenu.patch: 
    - use X-MessagingMenu-UsesChatSection in the desktop entry (lp: #1040259)

 -- Sebastien Bacher <seb128@ubuntu.com>  Fri, 16 Nov 2012 10:29:38 +0100
