=== debian/control ===
--- 
+++ 
@@ -15,7 +15,7 @@
  libgadu-dev (>= 1:1.11.0-2),
  xsltproc, doxygen, libfarstream-0.1-dev (>= 0.1.1),
  libgstreamer-plugins-base0.10-dev,
- network-manager-dev (>= 0.9.0) [linux-any],
+ network-manager-dev (>= 0.9.0) [linux-any], dpkg-dev (>= 1.16.0),
  libsqlite3-dev (>= 3.3), libidn11-dev, ca-certificates
 Standards-Version: 3.9.3
 Vcs-Git: git://git.debian.org/git/collab-maint/pidgin.git
