## pidgin 2.10.7%2bnix-1

=== debian/changelog ===
pidgin (2.10.7+nix-1) unstable; urgency=low

  * New upstream release

 -- Grzegorz Gidel <grg.gdl@gmail.com>  Wed, 27 Mar 2013 20:46:58 +0100
