## pidgin 2.10.9

=== debian/changelog ===
pidgin (2.10.9-1~bpo60+1) squeeze-backports; urgency=medium

  * Rebuild for squeeze-backports.
  * Revert port to libfarstream (update build-depends).
  * Remove version b-d and conflict on network-manager.
  * Configure gbp appropriately for the squeeze-backports branch.

 -- intrigeri <intrigeri@debian.org>  Tue, 11 Feb 2014 01:53:08 +0100

pidgin (2.10.9-1) unstable; urgency=medium

  * Imported Upstream version 2.10.9
    - Fixes XMPP connection problem (Closes: #737509)

 -- Ari Pollak <ari@debian.org>  Mon, 03 Feb 2014 20:12:36 -0500

pidgin (2.10.8-1) unstable; urgency=high

  * Imported Upstream version 2.10.8
    - Fixes many security issues: CVE-2012-6152, CVE-2013-6477,
      CVE-2013-6478, CVE-2013-6479, CVE-2013-6481, CVE-2013-6482,
      CVE-2013-6483, CVE-2013-6484, CVE-2013-6485, CVE-2013-6486,
      CVE-2013-6487, CVE-2013-6489, CVE-2013-6490, and CVE-2014-0020.
    - Fixes undefined conversion from double to enum (Closes: #701671)
  * Imported Upstream version 2.10.8

 -- Ari Pollak <ari@debian.org>  Sat, 25 Jan 2014 11:53:21 -0500

pidgin (2.10.7-2) unstable; urgency=low

  * Fix IRC protocol loading by linking with SASL (Closes: #701541)
  * Apply patch from upstream to fix crash in Contact Availability Plugin
    (Closes: #701544)

 -- Ari Pollak <ari@debian.org>  Sun, 24 Feb 2013 11:13:12 -0500

pidgin (2.10.7-1) unstable; urgency=low

  * Imported Upstream version 2.10.7
  * Move libpurple0 to section devel, to reflect #700141

 -- Ari Pollak <ari@debian.org>  Sat, 23 Feb 2013 11:32:27 -0500

pidgin (2.10.6-3) unstable; urgency=high

  * Apply patches from 2.10.7 to fix CVE-2013-0271, CVE-2013-0272,
    CVE-2013-0273, and CVE-2013-0274

 -- Ari Pollak <ari@debian.org>  Mon, 11 Feb 2013 20:41:21 -0500

pidgin (2.10.6-2) unstable; urgency=low

  * Rebuild with no changes to enable xz compression (Closes: #688692)

 -- Ari Pollak <ari@debian.org>  Tue, 25 Sep 2012 21:42:44 -0400

pidgin (2.10.6-1) unstable; urgency=low

  * Imported Upstream version 2.10.6

 -- Ari Pollak <ari@debian.org>  Fri, 06 Jul 2012 19:17:08 -0400

pidgin (2.10.5-1) unstable; urgency=low

  * Imported Upstream version 2.10.5

 -- Ari Pollak <ari@debian.org>  Wed, 04 Jul 2012 13:50:16 -0400

pidgin (2.10.4-1.1) unstable; urgency=low

  * Non-maintainer upload.
  * Build-depends against libfarstream-0.1-dev instead of
    libgstfarsight0.10-dev (Closes: #664527)

 -- Laurent Bigonville <bigon@debian.org>  Tue, 15 May 2012 12:37:02 +0200

pidgin (2.10.4-1) unstable; urgency=low

  * Imported Upstream version 2.10.4
    - Fixes a possible XMPP remote crash (CVE-2012-2214)
    - Fixes a possible MSN remote crash (CVE-2012-2318)
  * Switch back to farsight, but support for farstream is now present upstream

 -- Ari Pollak <ari@debian.org>  Mon, 07 May 2012 20:14:56 -0400

pidgin (2.10.2-1.1) experimental; urgency=low

  * Non-maintainer upload with Ari approval.
  * Add debian/patches/port-to-farstream.patch: Use farstream instead of
    farsight (Closes: #664527)

 -- Laurent Bigonville <bigon@debian.org>  Sat, 31 Mar 2012 20:36:59 +0200
