=== debian/control ===
--- 
+++ 
@@ -1,10 +1,8 @@
 Source: pidgin
 Section: net
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Ari Pollak <ari@debian.org>
+Maintainer: Ari Pollak <ari@debian.org>
 Build-Depends: cdbs (>= 0.4.53), debhelper (>= 7), intltool, gconf2,
- libtool, dh-autoreconf,
  hardening-wrapper,
  libgtk2.0-dev (>= 2.10.0), libxss-dev, libmeanwhile-dev,
  libnss3-dev (>= 3.11.7), tcl-dev, tk-dev, libgstreamer0.10-dev,
@@ -12,28 +10,28 @@
  libstartup-notification0-dev, libzephyr-dev, libxml2-dev,
  libdbus-glib-1-dev, dbus, python (>= 2.4), libavahi-client-dev,
  libavahi-glib-dev, libxml-parser-perl, libncursesw5-dev, libsasl2-dev,
- libgadu-dev (>= 1:1.11.0-2),
- xsltproc, doxygen, libfarstream-0.1-dev (>= 0.1.1),
+ libgadu-dev,
+ xsltproc, doxygen, libgstfarsight0.10-dev,
  libgstreamer-plugins-base0.10-dev,
- network-manager-dev (>= 0.9.0) [linux-any], dpkg-dev (>= 1.16.0),
+ network-manager-dev [linux-any],
  libsqlite3-dev (>= 3.3), libidn11-dev, ca-certificates
-Standards-Version: 3.9.3
+Standards-Version: 3.8.3
 Vcs-Git: git://git.debian.org/git/collab-maint/pidgin.git
 Vcs-Browser: http://git.debian.org/?p=collab-maint/pidgin.git
 Homepage: http://www.pidgin.im
 
 Package: libpurple0
+Section: devel
 Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends}, ${perl:Depends}, libsasl2-modules
+Depends: pidgin-data (>= ${source:Upstream-Version}), pidgin-data (<< ${source:Upstream-Version}-z), ${shlibs:Depends}, ${misc:Depends}, ${perl:Depends}, libsasl2-modules
 Recommends: ca-certificates, libpurple-bin
 Suggests: ${shlibs:Suggests}
-Conflicts: network-manager (<< 0.9.0)
 Description: multi-protocol instant messaging library
  libpurple is a library intended to be used by programmers seeking
  to write an IM client that connects to many IM networks.
  Currently supported are:
  AIM/ICQ, Yahoo!, MSN, IRC, Jabber/XMPP/Google Talk, Napster, Zephyr, Gadu-Gadu,
- Bonjour, Groupwise, Sametime, SIMPLE, MySpaceIM, and MXit. 
+ Bonjour, Groupwise, Sametime, SIMPLE, MySpaceIM, and MXit.
  .
  Some extra packages are suggested to use increased functionality:
   * tcl8.5, tk8.5:
@@ -42,18 +40,15 @@
 Package: pidgin
 Architecture: any
 Depends: pidgin-data (>= ${source:Upstream-Version}), pidgin-data (<< ${source:Upstream-Version}-z), ${shlibs:Depends}, ${misc:Depends}, ${perl:Depends}
-Recommends: gstreamer0.10-plugins-base, gstreamer0.10-plugins-good, pidgin-libnotify
-Suggests: gnome-panel (>= 2.1) | kdebase-workspace-bin | docker, evolution-data-server (>= 1.10.0), ${shlibs:Suggests}
+Recommends: gstreamer0.10-plugins-base, gstreamer0.10-plugins-good
+Suggests: ${shlibs:Suggests}
 Description: graphical multi-protocol instant messaging client for X
  Pidgin is a graphical, modular instant messaging client capable of using
  multiple networks at once. Currently supported are:
  AIM/ICQ, Yahoo!, MSN, IRC, Jabber/XMPP/Google Talk, Napster, Zephyr, Gadu-Gadu,
- Bonjour, Groupwise, Sametime, SIMPLE, MySpaceIM, and MXit. 
+ Bonjour, Groupwise, Sametime, SIMPLE, MySpaceIM, and MXit.
  .
  Some extra packages are suggested to use increased functionality:
-  * gnome-panel | kdebase-workspace-bin | docker:
-    - To use the system tray icon functionality (minimizing to an icon, having
-      the icon blink when there are new messages, etc.)
   * libsqlite3-0:
     - To use Contact Availability Prediction plugin
 
@@ -85,7 +80,7 @@
 Section: debug
 Architecture: any
 Depends: ${misc:Depends}, pidgin (= ${binary:Version}) | finch (= ${binary:Version}) | libpurple0 (= ${binary:Version}), pidgin-data (= ${source:Version}), ${shlibs:Depends}
-Description: Debugging symbols for Pidgin 
+Description: Debugging symbols for Pidgin
  This package includes the debugging symbols useful for debugging Pidgin
  and its plugins, contained in the pidgin package. The debugging symbols are
  used for execution tracing and core dump analysis.
@@ -98,7 +93,7 @@
  Finch is a text/console-based, modular instant messaging client capable of
  using multiple networks at once. Currently supported are:
  AIM/ICQ, Yahoo!, MSN, IRC, Jabber/XMPP/Google Talk, Napster, Zephyr, Gadu-Gadu,
- Bonjour, Groupwise, Sametime, SIMPLE, MySpaceIM, and MXit. 
+ Bonjour, Groupwise, Sametime, SIMPLE, MySpaceIM, and MXit.
  .
  Some extra packages are suggested to use increased functionality:
   * libx11-6
@@ -126,7 +121,7 @@
 Package: libpurple-bin
 Section: net
 Architecture: all
-Depends: ${shlibs:Depends}, ${misc:Depends}, python, python-dbus
+Depends: ${shlibs:Depends}, ${misc:Depends}, libpurple0, python, python-dbus
 Description: multi-protocol instant messaging library - extra utilities
  This package contains the utilities not included in the main libpurple0
  package. Currently included are: purple-remote, purple-send,
