=== debian/rules ===
--- 
+++ 
@@ -2,7 +2,6 @@
 
 export DEB_BUILD_HARDENING=1
 
-include /usr/share/cdbs/1/rules/autoreconf.mk
 include /usr/share/cdbs/1/class/autotools.mk
 include /usr/share/cdbs/1/rules/debhelper.mk
 include /usr/share/cdbs/1/class/gnome.mk
@@ -16,11 +15,11 @@
 DEB_CONFIGURE_EXTRA_FLAGS = --disable-gevolution \
 	    --enable-cap --with-system-ssl-certs=/etc/ssl/certs \
 	    --enable-perl --with-zephyr=/usr --enable-dbus --enable-gnutls=no \
-	    --enable-nss=yes --enable-cyrus-sasl --enable-vv --enable-farsight \
+	    --enable-nss=yes --enable-cyrus-sasl --enable-vv \
 	    --enable-tcl --enable-tk \
 	    --with-dynamic-prpls=bonjour,gg,irc,jabber,msn,myspace,mxit,novell,oscar,sametime,simple,yahoo,zephyr # disable silc
 ifeq ($(DEB_BUILD_ARCH_OS),linux)
-  auto DEB_CONFIGURE_EXTRA_FLAGS += --enable-nm
+  DEB_CONFIGURE_EXTRA_FLAGS += --enable-nm
 else
   DEB_CONFIGURE_EXTRA_FLAGS += --disable-nm
 endif
@@ -61,10 +60,6 @@
 		-e '/@OSCAR_AUTHORS@/r libpurple/protocols/oscar/AUTHORS' \
 		-e '/@OSCAR_AUTHORS@/d' \
 	debian/copyright.in > debian/copyright
-	# Translation domain to desktop file
-	echo 'X-Ubuntu-Gettext-Domain=pidgin' >> debian/tmp/usr/share/applications/pidgin.desktop
-	# Call intltool-update to build the .pot
-	cd $(DEB_SRCDIR)/po; intltool-update -p
 
 cleanbuilddir/pidgin::
 	rm -rf $(DEB_SRCDIR)/build
@@ -73,11 +68,6 @@
 	pod2man debian/dh_pidgin > debian/dh_pidgin.1
 	cd build; make docs
 
-binary-install/pidgin::
-	# Add the launcher for pidgin
-	mkdir -p debian/pidgin/usr/share/indicators/messages/applications
-	echo /usr/share/applications/pidgin.desktop > debian/pidgin/usr/share/indicators/messages/applications/pidgin
-
 binary-install/pidgin-dev::
 	dh_installdocs -ppidgin-dev debian/README.Debian.dev
