## pidgin 2.10.9-0maemo1

=== debian/changelog ===
pidgin (2.10.9-0maemo1) unstable; urgency=low

  * New upstream release
  * Restored basic Gadu-Gadu buddy list import/export (removed upstream in 2.10.8 due to not working properly)

 -- Grzegorz Gidel <grg.gdl@gmail.com>  Fri, 07 Feb 2014 04:30:52 +0100
