=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# GNU copyright 1997 to 1999 by Joey Hess.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

PREFIX=/usr

# These are used for cross-compiling and for saving the configure script
# from having to guess our platform (since we know it already)
DEB_HOST_GNU_TYPE   ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
DEB_BUILD_GNU_TYPE  ?= $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)

version=$(shell dpkg-parsechangelog | grep '^Version: ' | sed -e 's/^Version: //' | sed -e 's/-.*//')
major=$(shell echo ${version} | cut -d. -f1-2)
micro=$(shell echo ${version} | cut -d. -f3 | cut -d+ -f1)
nextmicro=$(shell expr ${micro} + 1)
launcher_check=$(shell dpkg --compare-versions "$$(apt-cache policy maemo-version | grep Installed | awk '{print $$2;}')" "lt" "5.0" && echo "maemo-launcher" || echo "nolauncher")
have_gtk=$(shell dpkg -l libgtk2.0-dev > /dev/null 2> /dev/null && echo "yes" || echo "no")
have_avahi=$(shell dpkg -l libavahi-core-dev > /dev/null 2> /dev/null && echo "yes" || echo "no")
pidgin_packages=$(shell cat debian/control | grep '^Package:' | awk '{print $$2;}')

CFLAGS = -Wall -g

ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
	CFLAGS += -O0
else
	CFLAGS += -O2
endif

# Use soft-float and thumb mode if enabled.
ifneq (,$(findstring thumb,$(DEB_BUILD_OPTIONS)))
	CFLAGS += -mthumb
endif

ifeq (,$(findstring nostrip,$(DEB_BUILD_OPTIONS)))
	INSTALL_PROGRAM += -s
endif

# Find out how many parallel threads to run
NUMJOBS=$(shell echo "$(DEB_BUILD_OPTIONS)" | awk -F ',' '{ for (Nix=1 ; Nix <= NF ; Nix++) { n_fields = split ($$Nix, fields, "="); if (fields[1] == "parallel" && n_fields == 2) print(fields[2]);}}')
ifneq (,$(NUMJOBS))
	PARALLEL_MAKEFLAGS += -j$(NUMJOBS)
endif

CONFIGURE_SWITCHES = \
		--disable-missing-dependencies \
		--prefix=$(PREFIX) \
		--with-python=/usr/bin/python2.5 \
		--host=$(DEB_HOST_GNU_TYPE) \
		--build=$(DEB_BUILD_GNU_TYPE) \
		--sysconfdir=/etc \
		--mandir=\$${prefix}/share/man \
		--infodir=\$${prefix}/share/info \
		--disable-consoleui \
		--disable-doxygen \
		--disable-perl \
		$(NULL)

ifeq ($(launcher_check),maemo-launcher)
	ifneq (,$(findstring maemo-launcher,$(DEB_BUILD_OPTIONS)))
		CONFIGURE_SWITCHES += --enable-maemo-launcher
		USE_MAEMO_LAUNCHER = true
	endif
endif
ifeq ($(launcher_check),nolauncher)
	ifeq (,$(findstring nolauncher,$(DEB_BUILD_OPTIONS)))
		CONFIGURE_SWITCHES += --enable-maemo-launcher
		USE_MAEMO_LAUNCHER = true
	endif
endif

ifeq (no,$(have_gtk))
	CONFIGURE_SWITCHES += --disable-gtkui
	pidgin_packages := $(shell echo "$(pidgin_packages)" | sed -r 's/(^| )pidgin-dev( |$$)/\1\2/')
	pidgin_packages := $(shell echo "$(pidgin_packages)" | sed -r 's/(^| )pidgin-dbg( |$$)/\1\2/')
	pidgin_packages := $(shell echo "$(pidgin_packages)" | sed -r 's/(^| )pidgin( |$$)/\1\2/')
endif

ifeq (no,$(have_avahi))
	pidgin_packages := $(shell echo "$(pidgin_packages)" | sed -r 's/(^| )purple-extra-protocols( |$$)/\1\2/')
	pidgin_packages := $(shell echo "$(pidgin_packages)" | sed -r 's/(^| )purple-extra-protocols-dbg( |$$)/\1\2/')
endif

pidgin_packages := $(shell echo $(pidgin_packages) | sed -e 's/^ *//' -e 's/ *$$//')
dh_package_args := $(shell echo "$(pidgin_packages)" | sed -r 's/([^ ]*)( |$$)/-p\1\2/g')

configure:
	echo -e '\033[7mtarget: configure\033[0m'

	dh_testdir

	CFLAGS="$(CFLAGS)" SBOX_DEFAULT_AUTOMAKE="1.9" ./autogen.sh $(CONFIGURE_SWITCHES)
#	autoreconf -s -i && glib-gettextize && aclocal

build: build-stamp
	echo -e '\033[7mtarget: build\033[0m'

build-stamp: configure
	echo -e '\033[7mtarget: build-stamp\033[0m'
	dh_testdir

	# Add here commands to compile the package.
	#$(MAKE) $(PARALLEL_MAKEFLAGS)

	# Version 1.10-3.1-maemo1 of libgpg-error-dev does not provide
	# libgpg-error.la, on which libgnutls.la depends, causing a build error.
	# Using fakeroot apparently hides those files from libtool and allows
	# the build to succeed.
	fakeroot $(MAKE) $(PARALLEL_MAKEFLAGS)

	pod2man $(CURDIR)/debian/dh_pidgin > $(CURDIR)/debian/dh_pidgin.1 || \
		rm -f $(CURDIR)/debian/dh_pidgin.1

	touch build-stamp

clean:
	echo -e '\033[7mtarget: clean\033[0m'
	dh_testdir
	dh_testroot
	rm -f *-stamp

	# Add here commands to clean up after the build process.
	-$(MAKE) $(PARALLEL_MAKEFLAGS) clean
	dh_clean
	rm -f $(CURDIR)/debian/dh_pidgin.1
	-$(MAKE) package_revision_raw.txt
	if ! test -f $(CURDIR)/package_revision_raw.txt; then \
		if test -d $(CURDIR)/_MTN; then \
			cat $(CURDIR)/_MTN/revision | grep old_revision | sed -r 's/^.*[[]([0-9a-fA-F]*)[]].*$$/\1/' > $(CURDIR)/package_revision_raw.txt; \
		fi; \
	fi
	if test -f $(CURDIR)/package_revision_raw.txt; then \
		mv $(CURDIR)/package_revision_raw.txt $(CURDIR)/package_revision_raw.txt.tmp; \
	fi

install: build install-stamp
	echo -e '\033[7mtarget: install\033[0m'

install-stamp:
	echo -e '\033[7mtarget: install-stamp\033[0m'
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs

	echo -e '\033[7mMaking install\033[0m'
	# Add here commands to install the package into debian/tmp
	$(MAKE) install DESTDIR=$(CURDIR)/debian/tmp

	# Ship default values for some settings
	mkdir -p $(CURDIR)/debian/tmp/etc/purple
	cp $(CURDIR)/debian/override-files/prefs.xml $(CURDIR)/debian/tmp/etc/purple

	# Add additional certificates
	mkdir -p $(CURDIR)/debian/tmp/usr/share/purple/ca-certs
	cp $(CURDIR)/debian/override-files/entrust* $(CURDIR)/debian/tmp/usr/share/purple/ca-certs

ifneq (,$(shell echo $(pidgin_packages) | grep -E '(^| )pidgin( |$$)'))

	# 26x26 icon - the "scalable" icons is installed via make install
	mkdir -p $(CURDIR)/debian/tmp$(PREFIX)/share/icons/hicolor/26x26/hildon
	cp $(CURDIR)/debian/pidgin.png $(CURDIR)/debian/tmp$(PREFIX)/share/icons/hicolor/26x26/hildon

	# mandatory D-Bus service file
	mkdir -p $(CURDIR)/debian/tmp$(PREFIX)/share/dbus-1/services
ifneq (,$(findstring maemo-launcher,$(DEB_BUILD_OPTIONS)))
	cp $(CURDIR)/debian/override-files/pidgin.service $(CURDIR)/debian/tmp$(PREFIX)/share/dbus-1/services
endif

	mkdir -p $(CURDIR)/debian/tmp$(PREFIX)/share/applications/hildon
ifneq (,$(findstring maemo-launcher,$(DEB_BUILD_OPTIONS)))
	cp $(CURDIR)/debian/override-files/pidgin.desktop $(CURDIR)/debian/tmp$(PREFIX)/share/applications/hildon
else
	cat $(CURDIR)/debian/override-files/pidgin.desktop | grep -v 'X-Osso-Service' > $(CURDIR)/debian/tmp$(PREFIX)/share/applications/hildon/pidgin.desktop
endif
	# dh_pidgin
	mkdir -p $(CURDIR)/debian/tmp$(PREFIX)/bin
	cp $(CURDIR)/debian/dh_pidgin $(CURDIR)/debian/tmp$(PREFIX)/bin
	if test -f $(CURDIR)/debian/dh_pidgin.1; then \
		mkdir -p $(CURDIR)/debian/tmp$(PREFIX)/share/man/man1; \
		cp $(CURDIR)/debian/dh_pidgin.1 $(CURDIR)/debian/tmp$(PREFIX)/share/man/man1; \
	fi

	# Move icons to a Hildon-friendly place
	for icon_dir in $(CURDIR)/debian/tmp$(PREFIX)/share/icons/hicolor/* ; do \
		if test -d $$icon_dir/apps; then \
			echo mv $$icon_dir/apps $$icon_dir/hildon; \
			mv $$icon_dir/apps $$icon_dir/hildon; \
		else \
			echo $$icon_dir/apps DNE; \
		fi ; \
	done
	if test -f $(CURDIR)/debian/tmp$(PREFIX)/share/icons/hicolor/48x48/hildon/pidgin.png; then \
		mkdir -p $(CURDIR)/debian/tmp$(PREFIX)/share/icons/hicolor/scalable/hildon; \
		cp $(CURDIR)/debian/tmp$(PREFIX)/share/icons/hicolor/48x48/hildon/pidgin.png \
			$(CURDIR)/debian/tmp$(PREFIX)/share/icons/hicolor/scalable/hildon; \
	fi

	# Add osso-backup script
	mkdir -p $(CURDIR)/debian/tmp/etc/osso-backup/applications
	cp $(CURDIR)/debian/pidgin.conf $(CURDIR)/debian/tmp/etc/osso-backup/applications

endif # only if we-re building pidgin

	# Remove the dreaded .la files
	find $(CURDIR)/debian/tmp | grep '\.la$$' | xargs rm -f

	# Include author lists in copyright file
	sed -e '/@PIDGIN_COPYRIGHT@/r COPYRIGHT' \
		-e '/@PIDGIN_COPYRIGHT@/d' \
		-e '/@OSCAR_AUTHORS@/r libpurple/protocols/oscar/AUTHORS' \
		-e '/@OSCAR_AUTHORS@/d' \
	debian/copyright.in > debian/copyright

	touch install-stamp

# Build architecture-independent files here.
